DIS(1)

NAME
dis - object code disassembler for COFF

SYNOPSIS
dis [ -o ] [ -V ] [ -L ] [ -d sec ] [ -da sec ] [ -F function ] [ -t sec ] [ -l string ] coff-file ...

AVAILABILITY

Available only on Sun 386i systems running a SunOS 4.0.x release or earlier. Not a SunOS 4.1 release feature.

DESCRIPTION

The dis command produces an assembly-language listing of coff-file, which may be any object file in COFF format, or an archive of COFF object files.

The listing includes assembly statements and an octal or hexadecimal representation of the binary that produced those statements.

OPTIONS

-o  Print numbers in octal. The default is hexadecimal.

-V  Print, on standard error, the version number of the disassembler being executed.

-L  Lookup source labels in the symbol table for subsequent printing. This option works only if the file was compiled with additional debugging information (e.g., the -g option of cc(1V)).

-d sec
    Disassemble the named section as data, printing the offset of the data from the beginning of the section.

-da sec
    Disassemble the named section as data, printing the actual address of the data.

-F function
    Disassemble only the named function in each object file specified on the command line. The -F option may be specified multiple times on the command line.

-t sec
    Disassemble the named section as text.

-l string
    Disassemble the library file specified by string. For example, dis -l x -l z disassembles libx.a and libz.a. All libraries are assumed to be in /usr/lib.

If the -d, -da or -t options are specified, only those named sections from each user-supplied file name will be disassembled. Otherwise, all sections containing text will be disassembled.

On output, a number enclosed in brackets at the beginning of a line, such as [5], represents that the break-pointable line number starts with the following instruction. These line numbers will be printed only if the file was compiled with additional debugging information (e.g., the -g option of cc(1V)). An expression such as <40> in the operand field or in the symbolic disassembly, following a relative displacement for control transfer instructions, is the computed address within the section to which control will be transferred. A function name will appear in the first column, followed by ().

FILES
/usr/lib

SEE ALSO
cc(1V) coff(5)

NOTES
Because the assembler does not generate or support 8-bit symbol names, it is inappropriate to make dis 8-bit clean. See as(1).